commit:     e2b1247ef79a30485fe7f313a0d5a9f7549c262a
Author:     James Beddek <telans <AT> posteo <DOT> de>
AuthorDate: Wed Jun  8 05:06:43 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun  8 05:13:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e2b1247e

dev-python/hypothesmith: new package, add 0.2.0

Signed-off-by: James Beddek <telans <AT> posteo.de>

 dev-python/hypothesmith/Manifest                  |  1 +
 dev-python/hypothesmith/hypothesmith-0.2.0.ebuild | 47 +++++++++++++++++++++++
 dev-python/hypothesmith/metadata.xml              |  8 ++++
 3 files changed, 56 insertions(+)

diff --git a/dev-python/hypothesmith/Manifest b/dev-python/hypothesmith/Manifest
new file mode 100644
index 000000000..37e577843
--- /dev/null
+++ b/dev-python/hypothesmith/Manifest
@@ -0,0 +1 @@
+DIST hypothesmith-0.2.0.tar.gz 24933 BLAKE2B 
36c5296d2ab5d86a2dcde565bda16aff31de7f0be1cbc487ea2115e6e3baacf5ba740192885dd5a843d53c51932551574c0debd97f1b374a4e0bea48ec4204d4
 SHA512 
b82627897f0e07e6249ce2d3730134690dbe340b81632a1101b6b6b9a9ac6ccd0f350ba10f729349ef200b9243081f7f58eb760ccbcb4175adfcc5f411a8a045

diff --git a/dev-python/hypothesmith/hypothesmith-0.2.0.ebuild 
b/dev-python/hypothesmith/hypothesmith-0.2.0.ebuild
new file mode 100644
index 000000000..98bb73f53
--- /dev/null
+++ b/dev-python/hypothesmith/hypothesmith-0.2.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} ) # python3_11 depends on dev-python/libcst
+
+inherit distutils-r1
+
+DESCRIPTION="Hypothesis strategies for generating Python programs"
+HOMEPAGE="https://github.com/Zac-HD/hypothesmith";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       default
+       sed -e '/-Werror/d' \
+               -e '/--cov/d' \
+               -i tox.ini || die
+}
+
+RDEPEND="
+       >=dev-python/hypothesis-5.41.0[${PYTHON_USEDEP}]
+       >=dev-python/lark-0.7.2[${PYTHON_USEDEP}]
+       >=dev-python/libcst-0.3.8[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/black[${PYTHON_USEDEP}]
+               dev-python/parso[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_test() {
+       # https://github.com/Zac-HD/hypothesmith/issues/21
+       local EPYTEST_DESELECT=( 
'tests/test_cst.py::test_source_code_from_libcst_node_type' )
+       epytest
+}

diff --git a/dev-python/hypothesmith/metadata.xml 
b/dev-python/hypothesmith/metadata.xml
new file mode 100644
index 000000000..2924f0387
--- /dev/null
+++ b/dev-python/hypothesmith/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM 'https://www.gentoo.org/dtd/metadata.dtd'>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>tel...@posteo.de</email>
+               <name>James Beddek</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to